# region CODE_REGION(ci)
# This is an example goreleaser.yaml file with some sane defaults.
# Make sure to check the documentation at http://goreleaser.com
before:
  hooks:
    - go generate ./...
builds:
  - main: ./cmd/fabricator-generate-project-go/main.go
    goos:
      - linux
    goarch:
      - amd64
      - arm64
    goarm:
      - "7"
    ldflags:
      - -X code.cestus.io/tools/fabricator/pkg/genericclioptions.version={{ .Env.svermakerBuildVersion}}
      - -X code.cestus.io/tools/fabricator/pkg/genericclioptions.buildDate={{ .CommitDate }}
      - -X code.cestus.io/tools/fabricator/pkg/genericclioptions.name=fabricator-generate-project-go
gomod:
  proxy: true
  env:
    - GOPROXY=https://proxy.golang.org,direct
    - GOSUMDB=sum.golang.org
    - GOPRIVATE=code.cestus.io
archives:
  - format: zip
    name_template: "{{.Binary}}_{{.Os}}-{{.Arch}}"
    replacements:
      darwin: darwin
      linux: linux
      windows: windows
      amd64: amd64
checksum:
  name_template: "checksums.txt"
snapshot:
  name_template: "{{ .Tag }}-next"
changelog:
  sort: asc
  filters:
    exclude:
      - "^docs:"
      - "^test:"

# endregion